# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 

#-----[ Directory ]----------------------------------------
DIR_MORPHEO			= ../../../..

LIBRARY				= $(Shifter_LIBRARY)

DIR_LIBRARY			= $(Shifter_DIR_LIBRARY)

#-----[ include ]------------------------------------------

all				: library
				@$(MAKE) all_selftest

library				: Shifter_library

library_clean			: Shifter_library_clean

include                         ../Makefile.deps
include                         $(DIR_MORPHEO)/Behavioural/Makefile.defs
include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
include				$(DIR_MORPHEO)/Behavioural/Makefile.Selftest
include				$(DIR_MORPHEO)/Behavioural/Makefile.Synthesis
